Bug 1344 - DHCP failures should be handled better in ifup
DHCP failures should be handled better in ifup
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-02-25 23:01 EST by Aleksey Nogin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-02 16:58:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 1999-02-25 23:01:07 EST
When DHCP fails, ifup proceeds with trying to configure the
interface using the IPADDR from ifcfg-xxx file. I am not
sure if this is a good idea, but what's obviously wrong is
that it even does not check if IPADDR is not just "" (which
is quite likely when interface is set up ising DHCP). And
when IPADDR="", ifup starts calling various utilities
(ipcalc, ifconfig, etc) with bogus arguments and they start
printing various error messages.

Note You need to log in before you can comment on or make changes to this bug.